import request from '@/utils/request'

// 查询算法回调结果列表
export function listAlgorithm(query) {
  return request({
    url: '/laboratory/algorithm/list',
    method: 'get',
    params: query
  })
}

// 查询算法回调结果详细
export function getAlgorithm(id) {
  return request({
    url: '/laboratory/algorithm/getId/' + id,
    method: 'get'
  })
}

// 新增算法回调结果
export function addAlgorithm(data) {
  return request({
    url: '/laboratory/algorithm',
    method: 'post',
    data: data
  })
}

// 修改算法回调结果
export function updateAlgorithm(data) {
  return request({
    url: '/laboratory/algorithm/update',
    method: 'post',
    data: data
  })
}

// 删除算法回调结果
export function delAlgorithm(id) {
  return request({
    url: '/laboratory/algorithm/del/' + id,
    method: 'get'
  })
}
